"""
    MoinMoin - FrontController Macro

    Copyright (c) 2003 by gian paolo ciceri <gp.ciceri@acm.org>
    All rights reserved, see COPYING for details.

    This macro try to implement a FrontController Presentation Pattern
    (see Fowler, PEEA, pag. 344)

"""

# Imports

from MoinMoin import config, wikiutil
from MoinMoin.CommandContract import Contract
import re, cStringIO


class Test(Contract):

    def process(self, *args, **kw):
        macro = args[0]
        theForm = '''
<form action="%s" method="POST" enctype="application/x-www-form-urlencoded">
<table>
<tr>
<td>name</td>
<td><input type="text" name="name" size="10" maxlength="10" value="%s" /></td>
</tr>
<tr>
<td>email</td>
<td><input type="text" name="email" size="20" maxlength="20" value="%s" /></td>
</tr>
<tr>
<td colspan="2"><input name="submit" value="%s" type="submit" /></td>
</tr>
</table>
</form>
    '''
        pagename = macro.formatter.page.page_name
        buf = cStringIO.StringIO()
        buf.write(theForm % (wikiutil.quoteWikiname(pagename), macro.request.form['name'].value, macro.request.form['email'].value, macro.request.form['submit'].value))
        return buf.getvalue()
    
