"""
    MoinMoin - FrontController Macro

    Copyright (c) 2003 by gian paolo ciceri <gp.ciceri@acm.org>
    All rights reserved, see COPYING for details.

    This macro try to implement a FrontController Presentation Pattern
    (see Fowler, PEEA, pag. 344)

"""

# Imports

from MoinMoin import config, wikiutil
from MoinMoin.CommandContract import Contract
import re, cStringIO


class Unknown(Contract):

    def __init__(self):
        pass


    def process(self, *args, **kw):
        macro = args[0]
        pagename = macro.formatter.page.page_name
        theMsg = '''
Command Unknown, return to start page: "%s"
    '''
        pagename = macro.formatter.page.page_name
        buf = cStringIO.StringIO()
        buf.write(theMsg % (wikiutil.link_tag('%s' % (wikiutil.quoteWikiname(pagename),))))
        return buf.getvalue()
